from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class DataSelectionType(IntEnum):
    TABLE = auto()
    QUERY = auto()
    SQL = auto()
    SQLPASSTHROUGH = auto()
